; AUTOMATICALLY GENERATED -- DO NOT EDIT
;
[naming]
name = openssl
dist = .win6
version = 0.9.8e
release = 29.win6
group = System Environment/Libraries
summary = The OpenSSL toolkit
description =
	The OpenSSL toolkit provides support for secure communications between
	machines. OpenSSL includes a certificate management tool and shared
	libraries which provide various cryptographic algorithms and
	protocols.
[building]
platform = w2k8-x64
preinstalled = unzip
provides = 
buildrequires =
	xbuild
execute = xbuild_version=2.0.5
	pushd $xbuild_dir
	unzip -d dist xbuild-$xbuild_version.zip
	popd
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=i686 make
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=x86_64 make

[files]
output = $name-$version-$release.src.zip:all:src
	 $name-$version-$release.i686.zip:i686:fre
	 $name-$version-$release.x86_64.zip:x86_64:fre
	 $name-devel-$version-$release.i686.zip:i686:fre
	 $name-devel-$version-$release.x86_64.zip:x86_64:fre
logs =

;[changelog]
;* Tue Sep  4 2012 Mladen Turk <mturk@redhat.com> 0.9.8e-29 =
;	- Rebuild
;* Tue Aug 28 2012 Mladen Turk <mturk@redhat.com> 0.9.8e-28 =
;	- Apply missing CVE patches.
;* Wed Jun 27 2012 Mladen Turk <mturk@redhat.com> 0.9.8e-27 =
;	- Fix postinstall layout.
;	- Add missing etc/ssl/cert.pem
;* Mon Jun 11 2012 Mladen Turk <mturk@redhat.com> 0.9.8e-26 =
;	- Fix postinstall layout.
;	- Fix for CVE-2012-2333 - improper checking for record length in DTLS (#820686)
;* Tue Apr 24 2012 Tomas Mraz <tmraz@redhat.com> 0.9.8e-25.1 =
;	- fix for CVE-2012-2110 - memory corruption in asn1_d2i_read_bio() (#814185)
;* Thu Mar 29 2012 Mladen Turk <mturk@redhat.com> 0.9.8e-25 =
;	- Use latest upstream patches.
;* Wed Feb  1 2012 Mladen Turk <mturk@redhat.com> 0.9.8e-24 =
;	- Rebuild using git repository.
;* Wed Dec  7 2011 Vaclav Tunka <vtunka@redhat.com> 0.9.8e-23 =
;	- Build for EAP 6 / EWS 2
;* Fri Oct 21 2011 Vaclav Tunka <vtunka@redhat.com> 0.9.8e-22 =
;	- Makefile include for general xbuild Makefile
;	- Moving to generated .ini file
;	- Add win build requires for xbuild
;* Mon Oct 17 2011 Vaclav Tunka <vtunka@redhat.com> 0.9.8e-21.2 =
;	- Add fre parameter to the artifact sources
;	- Use local variables inside winspec file
;	- Use new version of xbuild 2.0.2
;	- Remove the -win suffix
;	- Add dist property
;	- Add make win-build target to Makefile
;* Wed Oct 12 2011 Vaclav Tunka <vtunka@redhat.com> 0.9.8e-21 =
;	- Adding a set of multiplatform patches
;	- Rebuild
;* Wed May  4 2011 Tomas Mraz <tmraz@redhat.com> 0.9.8e-20 =
;	- add missing DH_check_pub_key() call when DH key is computed (#698175)
;* Mon Apr  4 2011 Tomas Mraz <tmraz@redhat.com> 0.9.8e-19 =
;	- presort list of ciphers available in SSL (#688901)
;	- accept connection in s_server even if getaddrinfo() fails (#561260)
;	- point to openssl dgst for list of supported digests (#608639)
;	- fix handling of future TLS versions (#599112)
;	- added VeriSign Class 3 Public Primary Certification Authority - G5
;	- upstream fixes for the CHIL engine (#622003, #671484)
;* Wed Mar  9 2011 Tomas Mraz <tmraz@redhat.com> 0.9.8e-18 =
;	- add SHA-2 hashes in SSL_library_init() (#676384)
;* Tue Dec  7 2010 Tomas Mraz <tmraz@redhat.com> 0.9.8e-17 =
;	- fix CVE-2010-4180 - completely disable code for
;* Fri Mar 12 2010 Tomas Mraz <tmraz@redhat.com> 0.9.8e-16 =
;	- fix CVE-2009-3245 - add missing bn_wexpand return checks (#570924)
;* Thu Mar  4 2010 Tomas Mraz <tmraz@redhat.com> 0.9.8e-15 =
;	- fix CVE-2010-0433 - do not pass NULL princ to krb5_kt_get_entry which
;* Thu Feb 18 2010 Tomas Mraz <tmraz@redhat.com> 0.9.8e-14 =
;	- fix CVE-2009-3555 - support the safe renegotiation extension and
;* Thu Jan 14 2010 Tomas Mraz <tmraz@redhat.com> 0.9.8e-13 =
;	- fix CVE-2009-2409 - drop MD2 algorithm from EVP tables (#510197)
;	- fix CVE-2009-4355 - do not leak memory when CRYPTO_cleanup_all_ex_data()
;* Mon Jun 29 2009 Tomas Mraz <tmraz@redhat.com> 0.9.8e-12 =
;	- abort if selftests failed and random number generator is polled
;	- mention EVP_aes and EVP_sha2xx routines in the manpages
;	- add README.FIPS
;* Thu May 21 2009 Tomas Mraz <tmraz@redhat.com> 0.9.8e-10 =
;	- fix CVE-2009-1386 CVE-2009-1387 (DTLS DoS problems)
;* Thu May 21 2009 Tomas Mraz <tmraz@redhat.com> 0.9.8e-9 =
;	- fix CVE-2009-1377 CVE-2009-1378 CVE-2009-1379
;* Wed Apr 15 2009 Tomas Mraz <tmraz@redhat.com> 0.9.8e-8 =
;	- support multiple CRLs with same subject in a store (#457134)
;	- fix CVE-2009-0590 - reject incorrectly encoded ASN.1 strings (#492304)
;	- seed FIPS rng directly from kernel random device
;	- do not require fipscheck to build the package (#475798)
;	- call pairwise key tests in FIPS mode only (#479817)
;	- do not crash when parsing bad mime data (#472440)
;* Tue Dec 16 2008 Tomas Mraz <tmraz@redhat.com> 0.9.8e-7 =
;	- fix CVE-2008-5077 - incorrect checks for malformed signatures (#476671)
;* Fri Oct 31 2008 Tomas Mraz <tmraz@redhat.com> 0.9.8e-6 =
;	- allow lookup of algorithms in engine
;* Fri Oct 24 2008 Tomas Mraz <tmraz@redhat.com> 0.9.8e-5 =
;	- implement the integrity checking inside libcrypto so OpenSSL
;* Thu Oct  9 2008 Tomas Mraz <tmraz@redhat.com> 0.9.8e-4 =
;	- FIPS mode kernel flag is /proc/sys/crypto/fips_enabled
;* Wed Sep 10 2008 Tomas Mraz <tmraz@redhat.com> 0.9.8e-3 =
;	- disable strict aliasing
;* Tue Sep  9 2008 Tomas Mraz <tmraz@redhat.com> 0.9.8e-2 =
;	- more changes for FIPS validation (#444800)
;	- correctly initialize default CA paths (#450987)
;	- allow disabling zlib support through environment (#442624)
;* Tue Jul 15 2008 Tomas Mraz <tmraz@redhat.com> 0.9.8e-1 =
;	- rebase to version undergoing FIPS validation (#455634)
;* Tue Jan 15 2008 Tomas Mraz <tmraz@redhat.com> 0.9.8b-10 =
;	- compile with -march=z900 on s390 for performance improvements (#250818)
;	- make ssl session ID matching strict (#233599)
;* Mon Oct  8 2007 Tomas Mraz <tmraz@redhat.com> 0.9.8b-9 =
;	- fix CVE-2007-3108 - side channel attack on private keys (#250581)
;	- fix CVE-2007-5135 - off-by-one in SSL_get_shared_ciphers (#309881)
;	- fix CVE-2007-4995 - out of order DTLS fragments buffer overflow (#321221)
;* Thu Nov 30 2006 Tomas Mraz <tmraz@redhat.com> 0.9.8b-8.3 =
;	- the previous change still didn't make X509_NAME_cmp transitive
;* Thu Nov 23 2006 Tomas Mraz <tmraz@redhat.com> 0.9.8b-8.2 =
;	- make X509_NAME_cmp transitive otherwise certificate lookup
;* Fri Nov  3 2006 Tomas Mraz <tmraz@redhat.com> 0.9.8b-8.1 =
;	- aliasing bug in engine loading, patch by IBM (#213216)
;* Mon Oct  2 2006 Tomas Mraz <tmraz@redhat.com> 0.9.8b-8 =
;	- CVE-2006-2940 fix was incorrect (#208744)
;* Mon Sep 25 2006 Tomas Mraz <tmraz@redhat.com> 0.9.8b-7 =
;	- fix CVE-2006-2937 - mishandled error on ASN.1 parsing (#207276)
;	- fix CVE-2006-2940 - parasitic public keys DoS (#207274)
;	- fix CVE-2006-3738 - buffer overflow in SSL_get_shared_ciphers (#206940)
;	- fix CVE-2006-4343 - sslv2 client DoS (#206940)
;* Tue Sep  5 2006 Tomas Mraz <tmraz@redhat.com> 0.9.8b-6 =
;	- fix CVE-2006-4339 - prevent attack on PKCS#1 v1.5 signatures (#205180)
;* Wed Aug  2 2006 Tomas Mraz <tmraz@redhat.com> - 0.9.8b-5 =
;	- set buffering to none on stdio/stdout FILE when bufsize is set (#200580)
;* Fri Jul 28 2006 Alexandre Oliva <aoliva@redhat.com> - 0.9.8b-4.1 =
;	- rebuild with new binutils (#200330)
;* Fri Jul 21 2006 Tomas Mraz <tmraz@redhat.com> - 0.9.8b-4 =
;	- add a temporary workaround for sha512 test failure on s390 (#199604)
;* Thu Jul 20 2006 Tomas Mraz <tmraz@redhat.com> =
;	- add ipv6 support to s_client and s_server (by Jan Pazdziora) (#198737)
;	- add patches for BN threadsafety, AES cache collision attack hazard fix and
;* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.9.8b-3.1 =
;	- rebuild
;* Wed Jun 21 2006 Tomas Mraz <tmraz@redhat.com> - 0.9.8b-3 =
;	- dropped libica and ica engine from build
;* Wed Jun 21 2006 Joe Orton <jorton@redhat.com> =
;	- update to new CA bundle from mozilla.org; adds CA certificates
;* Mon Jun  5 2006 Tomas Mraz <tmraz@redhat.com> - 0.9.8b-2 =
;	- fixed a few rpmlint warnings
;	- better fix for #173399 from upstream
;	- upstream fix for pkcs12
;* Thu May 11 2006 Tomas Mraz <tmraz@redhat.com> - 0.9.8b-1 =
;	- upgrade to new version, stays ABI compatible
;	- there is no more linux/config.h (it was empty anyway)
;* Tue Apr  4 2006 Tomas Mraz <tmraz@redhat.com> - 0.9.8a-6 =
;	- fix stale open handles in libica (#177155)
;	- fix build if 'rand' or 'passwd' in buildroot path (#178782)
;	- initialize VIA Padlock engine (#186857)
;* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.8a-5.2 =
;	- bump again for double-long bug on ppc(64)
;* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.9.8a-5.1 =
;	- rebuilt for new gcc4.1 snapshot and glibc changes
;* Thu Dec 15 2005 Tomas Mraz <tmraz@redhat.com> 0.9.8a-5 =
;	- don't include SSL_OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG
;* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> =
;	- rebuilt
;* Tue Nov 29 2005 Tomas Mraz <tmraz@redhat.com> 0.9.8a-4 =
;	- fix build (-lcrypto was erroneusly dropped) of the updated libica
;	- updated ICA engine to 1.3.6-rc3
;* Tue Nov 22 2005 Tomas Mraz <tmraz@redhat.com> 0.9.8a-3 =
;	- disable builtin compression methods for now until they work
;* Wed Nov 16 2005 Tomas Mraz <tmraz@redhat.com> 0.9.8a-2 =
;	- don't set -rpath for openssl binary
;* Tue Nov  8 2005 Tomas Mraz <tmraz@redhat.com> 0.9.8a-1 =
;	- new upstream version
;	- patches partially renumbered
;* Fri Oct 21 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-11 =
;	- updated IBM ICA engine library and patch to latest upstream version
;* Wed Oct 12 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-10 =
;	- fix CAN-2005-2969 - remove SSL_OP_MSIE_SSLV2_RSA_PADDING which
;	- use sha1 as default for CA and cert requests - CAN-2005-2946 (#169803)
;* Tue Aug 23 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-9 =
;	- add *.so.soversion as symlinks in /lib (#165264)
;	- remove unpackaged symlinks (#159595)
;	- fixes from upstream (constant time fixes for DSA,
;* Thu Aug 11 2005 Phil Knirsch <pknirsch@redhat.com> 0.9.7f-8 =
;	- Updated ICA engine IBM patch to latest upstream version.
;* Thu May 19 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-7 =
;	- fix CAN-2005-0109 - use constant time/memory access mod_exp
;	- a few more fixes from upstream 0.9.7g
;* Wed Apr 27 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-6 =
;	- use poll instead of select in rand (#128285)
;	- fix Makefile.certificate to point to /etc/pki/tls
;	- change the default string mask in ASN1 to PrintableString+UTF8String
;* Mon Apr 25 2005 Joe Orton <jorton@redhat.com> 0.9.7f-5 =
;	- update to revision 1.37 of Mozilla CA bundle
;* Thu Apr 21 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-4 =
;	- move certificates to _sysconfdir/pki/tls (#143392)
;	- move CA directories to _sysconfdir/pki/CA
;	- patch the CA script and the default config so it points to the
;* Fri Apr  1 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-3 =
;	- uninitialized variable mustn't be used as input in inline
;	- reenable the x86_64 assembly again
;* Thu Mar 31 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-2 =
;	- add back RC4_CHAR on ia64 and x86_64 so the ABI isn't broken
;	- disable broken bignum assembly on x86_64
;* Wed Mar 30 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7f-1 =
;	- reenable optimizations on ppc64 and assembly code on ia64
;	- upgrade to new upstream version (no soname bump needed)
;	- disable thread test - it was testing the backport of the
;	- added support for changing serial number to 
;	- make ca-bundle.crt a config file (#118903)
;* Tue Mar  1 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7e-3 =
;	- libcrypto shouldn't depend on libkrb5 (#135961)
;* Mon Feb 28 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7e-2 =
;	- rebuild
;* Mon Feb 28 2005 Tomas Mraz <tmraz@redhat.com> 0.9.7e-1 =
;	- new upstream source, updated patches
;	- added patch so we are hopefully ABI compatible with upcoming
;* Thu Feb 10 2005 Tomas Mraz <tmraz@redhat.com> =
;	- Support UTF-8 charset in the Makefile.certificate (#134944)
;	- Added cmp to BuildPrereq
;* Thu Jan 27 2005 Joe Orton <jorton@redhat.com> 0.9.7a-46 =
;	- generate new ca-bundle.crt from Mozilla certdata.txt (revision 1.32)
;* Thu Dec 23 2004 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-45 =
;	- Fixed and updated libica-1.3.4-urandom.patch patch (#122967)
;* Fri Nov 19 2004 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-44 =
;	- rebuild
;* Fri Nov 19 2004 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-43 =
;	- rebuild
;* Fri Nov 19 2004 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-42 =
;	- rebuild
;* Fri Nov 19 2004 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-41 =
;	- remove der_chop, as upstream cvs has done (CAN-2004-0975, #140040)
;* Tue Oct 05 2004 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-40 =
;	- Include latest libica version with important bugfixes
;* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> =
;	- rebuilt
;* Mon Jun 14 2004 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-38 =
;	- Updated ICA engine IBM patch to latest upstream version.
;* Mon Jun  7 2004 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-37 =
;	- build for linux-alpha-gcc instead of alpha-gcc on alpha (Jeff Garzik)
;* Tue May 25 2004 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-36 =
;	- handle %{_arch}=i486/i586/i686/athlon cases in the intermediate
;* Thu Mar 25 2004 Joe Orton <jorton@redhat.com> 0.9.7a-35 =
;	- add security fixes for CAN-2004-0079, CAN-2004-0112
;* Tue Mar 16 2004 Phil Knirsch <pknirsch@redhat.com> =
;	- Fixed libica filespec.
;* Thu Mar 10 2004 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-34 =
;	- ppc/ppc64 define __powerpc__/__powerpc64__, not __ppc__/__ppc64__, fix
;* Wed Mar 10 2004 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-33 =
;	- add an intermediate <openssl/opensslconf.h> which points to the right
;* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com> =
;	- rebuilt
;* Thu Feb 26 2004 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-32 =
;	- Updated libica to latest upstream version 1.3.5.
;* Tue Feb 17 2004 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-31 =
;	- Update ICA crypto engine patch from IBM to latest version.
;* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> =
;	- rebuilt
;* Fri Feb 13 2004 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-29 =
;	- rebuilt
;* Wed Feb 11 2004 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-28 =
;	- Fixed libica build.
;* Wed Feb  4 2004 Nalin Dahyabhai <nalin@redhat.com> =
;	- add "-ldl" to link flags added for Linux-on-ARM (#99313)
;* Wed Feb  4 2004 Joe Orton <jorton@redhat.com> 0.9.7a-27 =
;	- updated ca-bundle.crt: removed expired GeoTrust roots, added
;* Sun Nov 30 2003 Tim Waugh <twaugh@redhat.com> 0.9.7a-26 =
;	- Fix link line for libssl (bug #111154).
;* Fri Oct 24 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-25 =
;	- add dependency on zlib-devel for the -devel package, which depends on zlib
;* Fri Oct 24 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-24 =
;	- Use /dev/urandom instead of PRNG for libica.
;	- Apply libica-1.3.5 fix for /dev/urandom in icalinux.c
;	- Use latest ICA engine patch from IBM.
;* Sat Oct  4 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-22.1 =
;	- rebuild
;* Wed Oct  1 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-22 =
;	- rebuild (22 wasn't actually built, fun eh?)
;* Tue Sep 30 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-23 =
;	- re-disable optimizations on ppc64
;* Tue Sep 30 2003 Joe Orton <jorton@redhat.com> =
;	- add a_mbstr.c fix for 64-bit platforms from CVS
;* Tue Sep 30 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-22 =
;	- add -Wa,--noexecstack to RPM_OPT_FLAGS so that assembled modules get tagged
;* Mon Sep 29 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-21 =
;	- rebuild
;* Thu Sep 25 2003 Nalin Dahyabhai <nalin@redhat.com> =
;	- re-enable optimizations on ppc64
;* Thu Sep 25 2003 Nalin Dahyabhai <nalin@redhat.com> =
;	- remove exclusivearch
;* Wed Sep 24 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-20 =
;	- only parse a client cert if one was requested
;	- temporarily exclusivearch for %{ix86}
;* Tue Sep 23 2003 Nalin Dahyabhai <nalin@redhat.com> =
;	- add security fixes for protocol parsing bugs (CAN-2003-0543, CAN-2003-0544)
;	- update RHNS-CA-CERT files
;	- ease back on the number of threads used in the threading test
;* Wed Sep 17 2003 Matt Wilson <msw@redhat.com> 0.9.7a-19 =
;	- rebuild to fix gzipped file md5sums (#91211)
;* Mon Aug 25 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-18 =
;	- Updated libica to version 1.3.4.
;* Thu Jul 17 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-17 =
;	- rebuild
;* Tue Jul 15 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-10.9 =
;	- free the kssl_ctx structure when we free an SSL structure (#99066)
;* Fri Jul 10 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-16 =
;	- rebuild
;* Thu Jul 10 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-15 =
;	- lower thread test count on s390x
;* Tue Jul  8 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-14 =
;	- rebuild
;* Thu Jun 26 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-13 =
;	- disable assembly on arches where it seems to conflict with threading
;* Thu Jun 26 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-12 =
;	- Updated libica to latest upstream version 1.3.0
;* Wed Jun 11 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-9.9 =
;	- rebuild
;* Wed Jun 11 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-11 =
;	- rebuild
;* Tue Jun 10 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-10 =
;	- ubsec: don't stomp on output data which might also be input data
;* Tue Jun 10 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-9 =
;	- temporarily disable optimizations on ppc64
;* Mon Jun  9 2003 Nalin Dahyabhai <nalin@redhat.com> =
;	- backport fix for engine-used-for-everything from 0.9.7b
;	- backport fix for prng not being seeded causing problems, also from 0.9.7b
;	- add a check at build-time to ensure that RSA is thread-safe
;	- keep perlpath from stomping on the libica configure scripts
;* Fri Jun  6 2003 Nalin Dahyabhai <nalin@redhat.com> =
;	- thread-safety fix for RSA blinding
;* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 0.9.7a-8 =
;	- rebuilt
;* Fri May 30 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7a-7 =
;	- Added libica-1.2 to openssl (featurerequest).
;* Wed Apr 16 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-6 =
;	- fix building with incorrect flags on ppc64
;* Wed Mar 19 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-5 =
;	- add patch to harden against Klima-Pokorny-Rosa extension of Bleichenbacher's
;* Mon Mar 17 2003 Nalin Dahyabhai <nalin@redhat.com>  0.9.7a-4 =
;	- add patch to enable RSA blinding by default, closing a timing attack
;* Wed Mar  5 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-3 =
;	- disable use of BN assembly module on x86_64, but continue to allow inline
;* Thu Feb 27 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-2 =
;	- disable EC algorithms
;* Wed Feb 19 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7a-1 =
;	- update to 0.9.7a
;* Wed Feb 19 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7-8 =
;	- add fix to guard against attempts to allocate negative amounts of memory
;	- add patch for CAN-2003-0078, fixing a timing attack
;* Thu Feb 13 2003 Elliot Lee <sopwith@redhat.com> 0.9.7-7 =
;	- Add openssl-ppc64.patch
;* Mon Feb 10 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7-6 =
;	- EVP_DecryptInit should call EVP_CipherInit() instead of EVP_CipherInit_ex(),
;	- build with -mcpu=ev5 on alpha family (#83828)
;* Wed Jan 22 2003 Tim Powers <timp@redhat.com> =
;	- rebuilt
;* Fri Jan 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7-4 =
;	- Added IBM hw crypto support patch.
;* Wed Jan 15 2003 Nalin Dahyabhai <nalin@redhat.com> =
;	- add missing builddep on sed
;* Thu Jan  9 2003 Bill Nottingham <notting@redhat.com> 0.9.7-3 =
;	- debloat
;	- fix broken manpage symlinks
;* Wed Jan  8 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7-2 =
;	- fix double-free in 'openssl ca'
;* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.7-1 =
;	- update to 0.9.7 final
;* Tue Dec 17 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.7-0 =
;	- update to 0.9.7 beta6 (DO NOT USE UNTIL UPDATED TO FINAL 0.9.7)
;* Wed Dec 11 2002 Nalin Dahyabhai <nalin@redhat.com> =
;	- update to 0.9.7 beta5 (DO NOT USE UNTIL UPDATED TO FINAL 0.9.7)
;* Tue Oct 22 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-30 =
;	- add configuration stanza for x86_64 and use it on x86_64
;	- build for linux-ppc on ppc
;	- start running the self-tests again
;* Wed Oct 02 2002 Elliot Lee <sopwith@redhat.com> 0.9.6b-29hammer.3 =
;	- Merge fixes from previous hammer packages, including general x86-64 and
;* Tue Aug  6 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-29 =
;	- rebuild
;* Thu Aug  1 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-28 =
;	- update asn patch to fix accidental reversal of a logic check
;* Wed Jul 31 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-27 =
;	- update asn patch to reduce chance that compiler optimization will remove
;* Wed Jul 31 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-26 =
;	- rebuild
;* Mon Jul 29 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-25 =
;	- add patch to fix ASN.1 vulnerabilities
;* Thu Jul 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-24 =
;	- add backport of Ben Laurie's patches for OpenSSL 0.9.6d
;* Wed Jul 17 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-23 =
;	- own %{_datadir}/ssl/misc
;* Fri Jun 21 2002 Tim Powers <timp@redhat.com> =
;	- automated rebuild
;* Sun May 26 2002 Tim Powers <timp@redhat.com> =
;	- automated rebuild
;* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-20 =
;	- free ride through the build system (whee!)
;* Thu May 16 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-19 =
;	- rebuild in new environment
;* Thu Apr  4 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-17, 0.9.6b-18 =
;	- merge RHL-specific bits into stronghold package, rename
;* Tue Apr 02 2002 Gary Benson <gbenson@redhat.com> stronghold-0.9.6c-2 =
;	- add support for Chrysalis Luna token
;* Tue Mar 26 2002 Gary Benson <gbenson@redhat.com> =
;	- disable AEP random number generation, other AEP fixes
;* Fri Mar 15 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-15 =
;	- only build subpackages on primary arches
;* Thu Mar 14 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-13 =
;	- on ia32, only disable use of assembler on i386
;	- enable assembly on ia64
;* Mon Jan  7 2002 Florian La Roche <Florian.LaRoche@redhat.de> 0.9.6b-11 =
;	- fix sparcv9 entry
;* Mon Jan  7 2002 Gary Benson <gbenson@redhat.com> stronghold-0.9.6c-1 =
;	- upgrade to 0.9.6c
;	- bump BuildArch to i686 and enable assembler on all platforms
;	- synchronise with shrimpy and rawhide
;	- bump soversion to 3
;* Wed Oct 10 2001 Florian La Roche <Florian.LaRoche@redhat.de> =
;	- delete BN_LLONG for s390x, patch from Oliver Paukstadt
;* Mon Sep 17 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-9 =
;	- update AEP driver patch
;* Mon Sep 10 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- adjust RNG disabling patch to match version of patch from Broadcom
;* Fri Sep  7 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-8 =
;	- disable the RNG in the ubsec engine driver
;* Tue Aug 28 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-7 =
;	- tweaks to the ubsec engine driver
;* Fri Aug 24 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-6 =
;	- tweaks to the ubsec engine driver
;* Thu Aug 23 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-5 =
;	- update ubsec engine driver from Broadcom
;* Fri Aug 10 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-4 =
;	- move man pages back to %{_mandir}/man?/foo.?ssl from
;	- add an [ engine ] section to the default configuration file
;* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- add a patch for selecting a default engine in SSL_library_init()
;* Mon Jul 23 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-3 =
;	- add patches for AEP hardware support
;	- add patch to keep trying when we fail to load a cert from a file and
;	- add missing prototype for ENGINE_ubsec() in engine_int.h
;* Wed Jul 18 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-2 =
;	- actually add hw_ubsec to the engine list
;* Tue Jul 17 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- add in the hw_ubsec driver from CVS
;* Wed Jul 11 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.6b-1 =
;	- update to 0.9.6b
;* Thu Jul  5 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- move .so symlinks back to %{_libdir}
;* Tue Jul  3 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- move shared libraries to /lib (#38410)
;* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- switch to engine code base
;* Mon Jun 18 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- add a script for creating dummy certificates
;	- move man pages from %{_mandir}/man?/foo.?ssl to %{_mandir}/man?ssl/foo.?
;* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de> =
;	- add s390x support
;* Fri Jun  1 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- change two memcpy() calls to memmove()
;	- don't define L_ENDIAN on alpha
;* Wed May 23 2001 Joe Orton <jorton@redhat.com> stronghold-0.9.6a-1 =
;	- Add 'stronghold-' prefix to package names.
;	- Obsolete standard openssl packages.
;* Wed May 16 2001 Joe Orton <jorton@redhat.com> =
;	- Add BuildArch: i586 as per Nalin's advice.
;* Tue May 15 2001 Joe Orton <jorton@redhat.com> =
;	- Enable assembler on ix86 (using new .tar.bz2 which does
;* Tue May 15 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- make subpackages depend on the main package
;* Tue May  1 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- adjust the hobble script to not disturb symlinks in include/ (fix from
;* Fri Apr 26 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- drop the m2crypo patch we weren't using
;* Tue Apr 24 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- configure using "shared" as well
;* Sun Apr  8 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- update to 0.9.6a
;	- use the build-shared target to build shared libraries
;	- bump the soversion to 2 because we're no longer compatible with
;	- drop the patch for making rsatest a no-op when rsa null support is used
;	- put all man pages into <section>ssl instead of <section>
;	- break the m2crypto modules into a separate package
;* Tue Mar 13 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- use BN_LLONG on s390
;* Mon Mar 12 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- fix the s390 changes for 0.9.6 (isn't supposed to be marked as 64-bit)
;* Sat Mar  3 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- move c_rehash to the perl subpackage, because it's a perl script now
;* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- update to 0.9.6
;	- enable MD2
;	- use the libcrypto.so and libssl.so targets to build shared libs with
;	- bump the soversion to 1 because we're no longer compatible with any of
;* Wed Feb 28 2001 Florian La Roche <Florian.LaRoche@redhat.de> =
;	- change hobble-openssl for disabling MD2 again
;* Tue Feb 27 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- re-disable MD2 -- the EVP_MD_CTX structure would grow from 100 to 152
;* Mon Feb 26 2001 Nalin Dahyabhai <nalin@redhat.com> =
;	- disable some inline assembly, which on x86 is Pentium-specific
;	- re-enable MD2 (see http://www.ietf.org/ietf/IPR/RSA-MD-all)
;* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de> =
;	- fix s390 patch
;* Fri Dec 8 2000 Than Ngo <than@redhat.com> =
;	- added support s390
;* Mon Nov 20 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- remove -Wa,* and -m* compiler flags from the default Configure file (#20656)
;	- add the CA.pl man page to the perl subpackage
;* Thu Nov  2 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- always build with -mcpu=ev5 on alpha
;* Tue Oct 31 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- add a symlink from cert.pem to ca-bundle.crt
;* Wed Oct 25 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- add a ca-bundle file for packages like Samba to reference for CA certificates
;* Tue Oct 24 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- remove libcrypto's crypt(), which doesn't handle md5crypt (#19295)
;* Mon Oct  2 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- add unzip as a buildprereq (#17662)
;	- update m2crypto to 0.05-snap4
;* Tue Sep 26 2000 Bill Nottingham <notting@redhat.com> =
;	- fix some issues in building when it's not installed
;* Wed Sep  6 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- make sure the headers we include are the ones we built with (aaaaarrgh!)
;* Fri Sep  1 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- add Richard Henderson's patch for BN on ia64
;	- clean up the changelog
;* Tue Aug 29 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- fix the building of python modules without openssl-devel already installed
;* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- byte-compile python extensions without the build-root
;	- adjust the makefile to not remove temporary files (like .key files when
;* Sat Aug 19 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- break out python extensions into a subpackage
;* Mon Jul 17 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- tweak the makefile some more
;* Tue Jul 11 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- disable MD2 support
;* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- disable MDC2 support
;* Sun Jul  2 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- tweak the disabling of RC5, IDEA support
;	- tweak the makefile
;* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- strip binaries and libraries
;	- rework certificate makefile to have the right parts for Apache
;* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- use %{_perl} instead of /usr/bin/perl
;	- disable alpha until it passes its own test suite
;* Fri Jun  9 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- move the passwd.1 man page out of the passwd package's way
;* Fri Jun  2 2000 Nalin Dahyabhai <nalin@redhat.com> =
;	- update to 0.9.5a, modified for U.S.
;	- add perl as a build-time requirement
;	- move certificate makefile to another package
;	- disable RC5, IDEA, RSA support
;	- remove optimizations for now
;* Wed Mar  1 2000 Florian La Roche <Florian.LaRoche@redhat.de> =
;	- Bero told me to move the Makefile into this package
;* Wed Mar  1 2000 Florian La Roche <Florian.LaRoche@redhat.de> =
;	- add lib*.so symlinks to link dynamically against shared libs
;* Tue Feb 29 2000 Florian La Roche <Florian.LaRoche@redhat.de> =
;	- update to 0.9.5
;	- run ldconfig directly in post/postun
;	- add FAQ
;* Sat Dec 18 1999 Bernhard Rosenkrdnzer <bero@redhat.de> =
;	- Fix build on non-x86 platforms
;* Fri Nov 12 1999 Bernhard Rosenkrdnzer <bero@redhat.de> =
;	- move /usr/share/ssl/* from -devel to main package
;* Tue Oct 26 1999 Bernhard Rosenkrdnzer <bero@redhat.de> =
;	- inital packaging
;	- changes from base:
